curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/products/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"associations": [
{
"to": {
"id": "<string>"
},
"types": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
]
}
],
"properties": {},
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}プロパティーを指定して1つのリクエストで複数の製品を作成し、作成した製品の詳細が含まれる応答が含まれる応答を受信します。
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/products/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"associations": [
{
"to": {
"id": "<string>"
},
"types": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 123
}
]
}
],
"properties": {},
"objectWriteTraceId": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
公開オブジェクトのバッチレスポンスオブジェクト
バッチ処理が完了した時点のタイムスタンプ(ISO 8601形式)。
Show child attributes
バッチ処理が開始された時点のタイムスタンプ(ISO 8601形式)。
バッチ処理リクエストのステータス:「PENDING」、「PROCESSING」、「CANCELLED」、または「COMPLETE」
CANCELED, COMPLETE, PENDING, PROCESSING バッチリクエストに関連する、関連性の高いリンクを含むオブジェクト。
Show child attributes
バッチ要求が最初に行われた時点のタイムスタンプ(ISO 8601形式)。